OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
CombineOpAdapter< AValueT, CombineOp, BValueT > Struct Template Reference

Helper class to adapt a three-argument (a, b, result) CombineOp functor into a single-argument functor that accepts a CombineArgs struct. More...

`#include <Tree.h>`

## Public Member Functions
| CombineOpAdapter (CombineOp &_op)
void | operator() (CombineArgs< AValueT, BValueT > &args) const

## Public Attributes
CombineOp & | op

## Detailed Description

### template<typename AValueT, typename CombineOp, typename BValueT = AValueT>
struct openvdb::v5_1::tree::CombineOpAdapter< AValueT, CombineOp, BValueT >

Helper class to adapt a three-argument (a, b, result) CombineOp functor into a single-argument functor that accepts a CombineArgs struct.

## Constructor & Destructor Documentation

## ◆ CombineOpAdapter()

CombineOpAdapter | ( | CombineOp & | _op | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | CombineArgs< AValueT, BValueT > & | args | ) | const
| inline

## Member Data Documentation

## ◆ op

CombineOp& op

The documentation for this struct was generated from the following file:

- Tree.h